Class QueryParamDecoderConfig

java.lang.Object
io.vertx.core.http.QueryParamDecoderConfig

@Unstable public class QueryParamDecoderConfig extends Object
Query parameter decoder configuration.
Author:
Julien Viet
  • Field Details

    • DEFAULT_MAX_SIZE

      public static final int DEFAULT_MAX_SIZE
      The default max number of query parameter to decode : 1024
      See Also:
    • DEFAULT_USE_SEMICOLON_AS_DELIMITER

      public static final boolean DEFAULT_USE_SEMICOLON_AS_DELIMITER
      The default behavior of the semicolon as a delimiter : true
      See Also:
    • DEFAULT_CHARSET

      public static final Charset DEFAULT_CHARSET
      The default charset for decoding query parameters : StandardCharsets.UTF_8
  • Constructor Details

    • QueryParamDecoderConfig

      public QueryParamDecoderConfig()
    • QueryParamDecoderConfig

      public QueryParamDecoderConfig(QueryParamDecoderConfig other)
  • Method Details

    • getMaxSize

      public int getMaxSize()
      Returns:
      the maximum number of parameters to decode
    • setMaxSize

      public QueryParamDecoderConfig setMaxSize(int maxSize)
      Set the maximum number of parameters to decode.
      Parameters:
      maxSize - the max size
      Returns:
      a reference to this, so the API can be used fluently
    • isUseSemicolonAsDelimiter

      public boolean isUseSemicolonAsDelimiter()
      Returns:
      whether to use the semicolon char ; as a delimiter for query string parameters.
    • setUseSemicolonAsDelimiter

      public QueryParamDecoderConfig setUseSemicolonAsDelimiter(boolean useSemicolonAsDelimiter)
      Configure whether to use the semicolon char ; as a delimiter for query string parameters.
      Parameters:
      useSemicolonAsDelimiter - whether to allow semicolon to be used as a delimiter or it is a an actual parameter name or value
      Returns:
      a reference to this, so the API can be used fluently
    • getCharset

      public Charset getCharset()
      Returns:
      the charset to decode query parameters
    • setCharset

      public QueryParamDecoderConfig setCharset(Charset charset)
      Set the charset to decode query parameters.
      Parameters:
      charset - the charset
      Returns:
      a reference to this, so the API can be used fluently